From df23edd1769f8a0d4e401e4c9e1a2e0a8a8f301a Mon Sep 17 00:00:00 2001
From: Pan Nengyuan <pannengyuan@huawei.com>
Date: Tue, 7 Apr 2020 16:31:23 +0800
Subject: [PATCH 36/77] virsh_migrate: fix attaching interface failed during
 migration

We got 'No more available PCI slots' error when attaching interface to
pcie on q35 machine. This patch try model=virtio again to fix that.

Signed-off-by: Pan Nengyuan <pannengyuan@huawei.com>
---
 libvirt/tests/src/virsh_cmd/domain/virsh_migrate.py | 6 ++++++
 1 file changed, 6 insertions(+)

diff --git a/libvirt/tests/src/virsh_cmd/domain/virsh_migrate.py b/libvirt/tests/src/virsh_cmd/domain/virsh_migrate.py
index c38b2ec9..77e2a933 100644
--- a/libvirt/tests/src/virsh_cmd/domain/virsh_migrate.py
+++ b/libvirt/tests/src/virsh_cmd/domain/virsh_migrate.py
@@ -985,6 +985,12 @@ def run(test, params, env):
                 ret_attach = vm.attach_interface("--type bridge --source "
                                                  "virbr0 --target tmp-vnet",
                                                  True, True)
+                if ret_attach.stderr.strip().find("No more available PCI slots") != -1:
+                    logging.debug("No more available PCI slots to attach, "
+                                  "try attach interface with model=virtio again")
+                    ret_attach = vm.attach_interface("--type bridge --model virtio --source "
+                                                     "virbr0 --target tmp-vnet",
+                                                     True, True)
                 if not ret_attach:
                     exception = True
                     test.error("Attaching nic to %s failed." % vm.name)
-- 
2.23.0

